scrub-obsolete Package - kdeclarative

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/kdeclarative scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index db7ea3f..390dcba 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,10 @@ kdeclarative (5.74.0-3) UNRELEASED; urgency=medium
   * Disable fixfilepath feature, as it triggers build failures when
     enabled (Closes: #972735).
 
+  [ Debian Janitor ]
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake, pkg-kde-tools.
+
  -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 26 Oct 2020 22:45:40 +0100
 
 kdeclarative (5.74.0-2) unstable; urgency=medium
diff --git a/debian/control b/debian/control
index de80f4c..83df7bb 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
                extra-cmake-modules (>= 5.74.0~),
@@ -21,7 +21,7 @@ Build-Depends: cmake (>= 3.5~),
                libkf5windowsystem-dev (>= 5.74.0~),
                libqt5sql5-sqlite,
                pkg-config,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkg-kde-tools,
                qml-module-qtquick2,
                qtbase5-dev (>= 5.12.0~),
                qtdeclarative5-dev (>= 5.12.0~),

Run locally

Try this locally (using the lintian-brush package):

debcheckout kdeclarative
cd kdeclarative
deb-scrub-obsolete

More details

Full run details